# Interface methods for submodule: ParticleSwarmOptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ParticleSwarmOptimizerBaseProxy as _ParticleSwarmOptimizerBaseProxy


# Interface methods for class: ParticleSwarmOptimizer
class ParticleSwarmOptimizerProxy(_ParticleSwarmOptimizerBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInertiaCoefficient(self, _arg: float) -> None:
		""""""
		...

	def GetInertiaCoefficient(self) -> float:
		""""""
		...

	def SetPersonalCoefficient(self, _arg: float) -> None:
		""""""
		...

	def GetPersonalCoefficient(self) -> float:
		""""""
		...

	def SetGlobalCoefficient(self, _arg: float) -> None:
		""""""
		...

	def GetGlobalCoefficient(self) -> float:
		""""""
		...

